﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Umbraco.Web.Mvc;
using Umbraco.Web;
using Umbraco;
using Umbraco.Core;

using UmbracoMVCDemo.Models.Masters;
using UmbracoMVCDemo.Models.Shared;
using Umbraco.Core.Models;
using UmbracoMVCDemo.Classes.Mappers;

namespace UmbracoMVCDemo.Controllers.Masters
{
    public class MasterDocTypeController : RenderMvcController
    {
        protected ViewResult View(MasterModel model)
        {
            return this.View(null, model);
        }

        protected ViewResult View(string view, MasterModel model)
        {
            var root = CurrentPage.AncestorOrSelf(1);

            model.SiteName = root.GetPropertyValue<string>("siteName");
            if (string.IsNullOrWhiteSpace(model.SiteName))
            {
                model.SiteName = root.Name;
            }

            model.Title = CurrentPage.GetPropertyValue<string>("title");
            if (string.IsNullOrWhiteSpace(model.Title))
            {
                model.Title = CurrentPage.Name;
            }

            model.MainNavigation = mapNavigation(root);

            return base.View(view, model);
        }

        private IEnumerable<NavigationItemModel> mapNavigation(IPublishedContent content)
        {
            return from c in content.Children
                   where c.IsVisible()
                   // Use the mapper to map items:
                   select NavigationItemMappers.Map(
                   new NavigationItemModel()
                   {
                       // Map children the same way as we have already mapped parents:
                       Children = mapNavigation(c)
                   }, c, CurrentPage);
        }
    }
}
